var imagePath = "";
var divHeight = ""; // 查询面板高度
var dataGridWidth = ""; // 查询面板宽度
var clientHeight = "";
var dataGridHeight = "";
var bodyWidth = 0;
var bodyHeight = 0;
var investStudyInfoId = ""; //初始国别研究id
var dataType_resource = "新闻类型";
var dataType_infoStatus = "新闻状态";
var editor = null;

$(function() {
	divHeight = $("#queryDiv2").height();
	dataGridWidth = document.documentElement.clientWidth;
	clientHeight = document.documentElement.clientHeight;
	$("#addCentralNewsWinId").window('close');  //添加会员基础信息窗口
	initInputWidth();
	$("#queryDiv").window('close');
	initDataTable();
})

/**
 * 初始化各输入框宽度
 */
function initInputWidth(){
	
	editor = UE.getEditor('newsContentId', {
		initialFrameWidth : fixLongWidth(), 
		initialFrameHeight : 400
	});
	$("#titleId").attr("style","width:"+ fixShortWidth()+"px");
	$("#newsSourceId").attr("style","width:"+ fixShortWidth()+"px");
	$("#introductionId").attr("style","width:"+ (fixLongWidth()-16)+"px");
	$("#infotatusId").combobox({
		url : '/admin/metadataManage/getMetadatasList?dataType='+encodeURI(encodeURI(dataType_infoStatus)),
		width : fixShortWidth() + 4,
		panelHeight : 'auto',
		panelHeight : 'auto',
		valueField : 'id',
		textField : 'text',
		onLoadSuccess : function() {  
	        $("#infotatusId").combobox("select", "编辑中");  
	        $("#infotatusId").combobox("setValue", 0);  
	    } 
	});
	
	$("#titleId00").attr("style","width:"+ fixShortWidth()+"px");
	$("#newsTypeId").combobox({
		url : '/admin/metadataManage/getMetadatasList?dataType='+encodeURI(encodeURI(dataType_resource)),
		width : fixShortWidth() + 4,
		panelHeight : 'auto',
		valueField : 'id',
		textField : 'text',
		onLoadSuccess : function() {  
	        $("#newsTypeId").combobox("select", "中心新闻");  
	        $("#newsTypeId").combobox("setValue", 1);  
	    }  
	})
	$("#newsTypeId00").combobox({
		url : '/admin/metadataManage/getMetadatasList?dataType='+encodeURI(encodeURI(dataType_resource)),
		width : fixShortWidth() + 4,
		panelHeight : 'auto',
		valueField : 'id',
		textField : 'text',
		onLoadSuccess : function() {  
	        $("#newsTypeId00").combobox("select", "中心新闻");  
	        $("#newsTypeId00").combobox("setValue", 1);  
	    } 
	})
}

$("#button01").click(
		function() {
			if ($("#imageUrlId").val().length > 0) {
				var filePath = $("#imageUrlId").val();
				var fileType = filePath.split(".")[1];
				if (fileType == "JPG" || fileType == "jpg" || fileType == "png"
						|| fileType == "PNG" || fileType == "bmp"
						|| fileType == "BMP" || fileType == "gif"
						|| fileType == "GIF" || fileType == "JPEG"
						|| fileType == "jpeg") {
					ajaxFileUpload();
				} else {
					alert("上传文件格式不对，请重新上传，图片支持式为：bmp、gif、jpeg、jpg、png、svg");
				}
			} else {
				alert("请选择图片");
			}
		});

/**
 * 图片上传
 */
function ajaxFileUpload() {
	$.ajaxFileUpload({
		url : '/base/upload/uploadFile',
		secureuri : false,
		type : 'post',
		fileElementId : 'imageUrlId',// file标签的id
		dataType : 'text',// 返回数据的类型
		data : {
			name : 'logan'
		},// 一同上传的数据
		success : function(data, status) {
			if (data.indexOf(">") != -1 && data.lastIndexOf("<") != -1) {
				data = data.substring(data.indexOf(">") + 1, data.lastIndexOf("</pre"));
				data = eval("(" + data + ")");
				if (status) {
					imagePath = data.fileSavePath;
					$.messager.alert('提示', "图片上传成功！", 'ok');
					$("#imageID").attr("src",imagePath);  
					$("#imageID").attr("style", "width:100px;height:50px");
				} else {
					$.messager.alert('提示', "图片上传失败，请重新上传！", 'error');
				}
			}
		},
		error : function(data, status, e) {
			alert(e);
		}
	});
}


//js时间戳格式化成日期格式
function timestampformat(timestamp) {
	var date = new Date(timestamp);
	var year = date.getFullYear();
	var month = date.getMonth()+1;
	var day = date.getDate();
	return year+"-"+month+"-"+day;
}   

function initDataTable(){
	$("#newsInfosTable").datagrid({
		height:clientHeight-divHeight-27,
		nowrap : true,
		striped : true,
		pagination : true,
		rownumbers : true,
		pageList : [10,20,30,40,50],
		autoRowHeight : false, 
		fitColumns : false,  
		singleSelect : false, //单选
		checkOnSelect  : true,
		selectOnCheck : true,
		remoteSort : true,
		url : '/business/newsManage/queryAllNewsInfo',
		columns : [ [ {
			field : 'ck',
			title : 'id',
			width : 15, 
			checkbox : true
		},{ 
			field : 'title',
			title : '新闻标题',
			width : '700',
			align : 'center',
			formatter : dataStyle
		},{ 
			field : 'infotatus',
			title : '新闻状态',
			width : '100',
			align : 'center'
		},{ 
			field : 'newsSource',
			title : '新闻来源',
			width : '150',
			align : 'center'
		},{ 
			field : 'newsType',
			title : '新闻类型',
			width : '100',
			align : 'center'
		},{ 
			field : 'createTime',
			title : '发布日期',
			width : '150',
			align : 'center'
		}, { 
			field : 'creator',
			title : '发布人',
			width : '100',
			align : 'center'
		},{ 
			field : 'clickVolume',
			title : '点击量',
			width : '100',
			align : 'center'
		}
		] ]
	});
	}
	//打开查看窗口   打开tab页
	function viewData(id){ 
		$.getJSON("/business/newsManage/queryNewsInfoById/" + id, function(data) {
			$("#imageID").attr("src",data.photo);
			$("#imageID").attr("style","width:100px;height:60px");
			$("#addCentralNewsForm").form('load', data); 	
			editor.setContent(data.newsContent);  
		});    
		$("#main_area").height((bodyHeight/5)*4);
		$("#addCentralNewsWinId").window({  
			title : '查看新闻信息',  
			width : addWinWidth,
			height : addWinHeight, 
			left : (dataGridWidth - addWinWidth)/2,
			top : (bodyHeight - addWinHeight)/2,
			closable : true, // 否显示关闭按钮
			collapsible : false, // 是否显示折叠按钮
			minimizable : false, // 是否显示最小化按钮
			maximizable : false, // 是否显示最大化按钮
			close : true, // 初始是否关闭
			modal : true 
		}); 
		$("#buttonId01").hide();
		$("#buttonId02").hide();
		$("#addCentralNewsWinId").window('open');
	}

	function dataStyle(val, row) {
		return '<a class="" href="#" onclick="viewData(\'' + row.id + '\')">'+ row.title + '</a>';
	}
	
	function stcikFormat(val, row){
		if(row.whetherStick == '置顶'){
			return '<font style="color:#ff0000">'+row.whetherStick+'</font>';
		}else {
			return '<font style="color:#000000">'+row.whetherStick+'</font>';
		}
	}
	
	function doSearch(value){
	    var queryParams = null;
	    $("#CentralNewsManageTable").datagrid({
			queryParams : {
				queryValue : value
			}
		});
	}
	
/**
 * 打开新增窗口  基本信息
 */
function openAddWin(){
	initInputWidth();
	operation = "add";
	$("#main_area").height();
	$("#addCentralNewsWinId").window({
		title : '新增新闻信息',
		width : addWinWidth,
		height : addWinHeight, 
		left : (dataGridWidth - addWinWidth)/2,
		top : (bodyHeight - addWinHeight)/2,
		closable : true, // 否显示关闭按钮
		collapsible : false, // 是否显示折叠按钮
		minimizable : false, // 是否显示最小化按钮
		maximizable : false, // 是否显示最大化按钮
		close : true, // 初始是否关闭
		modal : true 
	});  
	imagePath = ""; 
	$("#imageID").attr("src",imagePath);
	$("#imageID").attr("style","width:100px;height:50px");
	$("#addCentralNewsForm").form('clear');
	$("#buttonId01").show();
	$("#buttonId02").show();
	editor.setContent('');  
	$("#addCentralNewsWinId").window('open');
}

/**
 * 打开修改窗口    基本信息
 */
function openEditWin(){
	$("#addCentralNewsWinId").form('clear');
	operation = "edit";
	var rows = $('#newsInfosTable').datagrid('getSelections');
	if(rows.length == 1){
		var row = $('#newsInfosTable').datagrid('getSelected');
		$.getJSON("/business/newsManage/queryNewsInfoById/" + row.id, function(data) {
			$("#imageID").attr("src",data.imagePath);
			$("#imageID").attr("style","width:100px;height:60px");
			$("#addCentralNewsForm").form('load', data); 
			editor.setContent(data.newsContent);  
		});    
		$("#main_area").height((bodyHeight/5)*4);
		$("#addCentralNewsWinId").window({  
			title : '修改新闻信息',  
			width : addWinWidth,
			height : addWinHeight, 
			left : (dataGridWidth - addWinWidth)/2,
			top : (bodyHeight - addWinHeight)/2,
			closable : true, // 否显示关闭按钮
			collapsible : false, // 是否显示折叠按钮
			minimizable : false, // 是否显示最小化按钮
			maximizable : false, // 是否显示最大化按钮
			close : true, // 初始是否关闭
			modal : true 
		}); 
		$("#buttonId01").show();
		$("#buttonId02").show();
		$("#addCentralNewsWinId").window('open');
	}else {
		$.messager.alert('提示', '请选中一条记录 ', 'info');
	}
}
function openQueryWin(row){
	var data = row
	$("#addCentralNewsForm").form('load', data); 
	editor.setContent(data.newsContent);  
	$("#main_area").height((bodyHeight/5)*4);
	$("#addCentralNewsWinId").window({  
		title : '查看新闻信息',  
		width : addWinWidth,
		height : addWinHeight, 
		left : (dataGridWidth - addWinWidth)/2,
		top : (bodyHeight - addWinHeight)/2,
		closable : true, // 否显示关闭按钮
		collapsible : false, // 是否显示折叠按钮
		minimizable : false, // 是否显示最小化按钮
		maximizable : false, // 是否显示最大化按钮
		close : true, // 初始是否关闭
		modal : true 
	}); 
	$("#buttonId01").hide();
	$("#buttonId02").show();
	$("#addCentralNewsWinId").window('open');
}

$("#professorNameId").combobox({
	width:fixShortWidth()+4
})
//保存数据
function saveData(){
	var centralNewsTitle = $("#titleId").val();
	if('add' == operation){
		$.getJSON("/business/newsManage/isExistNewsInfo?newsTitle="+encodeURI(encodeURI(centralNewsTitle)),function(json){
			if(json.flag){
				$.messager.alert('提示', json.info, 'error');
			}else { 
				url = "/business/newsManage/addOrUpdateNewsInfo?operate="+operation+"&imagePath="+imagePath;
				$('#addCentralNewsForm').form('submit',{
					url: url,
					onSubmit: function(){
						return $(this).form('validate');
					},
					success: function(data){
						var data = eval("("+data+")");
						if (data.flag){
							$.messager.alert('提示', data.info, 'ok');
							closeWindow();			
							initDataTable();
						} else {
							$.messager.alert("提示",data.info,'error');
						}
					}
				}); 
						
			}})   
		}
	if('edit' == operation){ 
		var row = $('#newsInfosTable').datagrid('getSelected'); 
		url = "/business/newsManage/addOrUpdateNewsInfo?operate="+operation+"&newsInfoId="+row.id+"&imagePath="+imagePath;
		$('#addCentralNewsForm').form('submit',{
			url: url,
			onSubmit: function(){
				return $(this).form('validate');
			},
			success: function(data){
				var data = eval("("+data+")")
				if (data.flag){
					$.messager.alert('提示',data.info, 'ok');
					closeWindow();
					
					initDataTable();
				} else {
					$.messager.alert("提示",data.info,'error');
				}
			}
		}); 
	}
}

//删除
function deleteNews(){
	var rows = $('#newsInfosTable').datagrid('getChecked');
	if (rows.length !=0 ){
		var jsonIds = arrayTojson(rows);
		$.messager.confirm("删除","确定删除？",function(r){
			if (r){
				var postUrl = '/business/newsManage/deleteNewsInfos';
				$.post(postUrl,{
					"ids":jsonIds},function(result){
					if (result.flag){
						$.messager.alert('提示',result.info,'ok');
						initDataTable(); 
					} else {
						$.messager.alert('提示',result.info,'error');
						initDataTable();
						return;
					}
				},'json');
			}
		});
	}else{ 
		$.messager.alert('提示', '请选中一条要删除记录', 'info');
	}
}
/**
 * 新闻置顶
 * @param stickType
 */
function stickNews(stickType){
	var rows = $('#newsInfosTable').datagrid('getChecked');
	if('yes' == stickType){
		if (rows.length !=0 ){
			var jsonIds = arrayTojson(rows);
			$.messager.confirm("置顶","确定置顶？",function(r){
				if (r){
					var postUrl = '/business/newsManage/setStick';
					$.post(postUrl,{
						"ids":jsonIds,"stickType":stickType},function(result){
						if (result.flag){
							$.messager.alert('提示',result.info,'ok');
							initDataTable(); 
						} else {
							$.messager.alert('提示',result.info,'error');
							initDataTable();
							return;
						}
					},'json');
				}
			});
		}else{ 
			$.messager.alert('提示', '请选中一条需要置顶记录', 'info');
		}
	}else if('no' == stickType){
		if (rows.length !=0 ){
			var jsonIds = arrayTojson(rows);
			$.messager.confirm("取消置顶","确定取消置顶？",function(r){
				if (r){
					var postUrl = '/business/newsManage/setStick';
					$.post(postUrl,{
						"ids":jsonIds,"stickType":stickType},function(result){
						if (result.flag){
							$.messager.alert('提示',result.info,'ok');
							initDataTable(); 
						} else {
							$.messager.alert('提示',result.info,'error');
							initDataTable();
							return;
						}
					},'json');
				}
			});
		}else{ 
			$.messager.alert('提示', '请选中一条需要取消置顶的记录', 'info');
		}
	}
}

//关闭窗口  基础信息
function closeWindow(){
	$("#addCentralNewsWinId").window('close');
}

/**
 * id数组转换为json字符串
 */
function arrayTojson(arr) { 
	var jsonIds = "[";
	for ( var i = 0; i < arr.length; i++) {
		if (i == arr.length - 1) {
			jsonIds += arr[i].id;
		} else {
			jsonIds += arr[i].id + ",";
		}
	}
	jsonIds += "]";

	return jsonIds; 
}
//查询 
function queryData() {
	var newsTitle = $("#titleId00").val();
	var newsType = $("#newsTypeId00").combobox('getValue');
	//alert(newsTitle);
	var queryParams = null;
  		$("#newsInfosTable").datagrid({
			queryParams : {
				title : newsTitle,
				newsType:newsType
			}
		});
}
// 清空查询条件框
function clearQueryForm() {
	$("#queryFormId2").form('clear');
	var queryParams = null;
  		$("#newsInfosTable").datagrid({
  			queryParams:{}
		});
}

//设置为头图

function head2 () {
	var rows = $('#newsInfosTable').datagrid('getChecked');
		if (rows.length !=0 ){
			$.messager.confirm("设置为头图","确定？",function(r){
				if (r){
					var postUrl = '/business/newsManage/setHead/'+rows[0].id;
					$.post(postUrl,function(result){
						if (result.flag){
							$.messager.alert('提示',result.info,'ok');
							initDataTable(); 
						} else {
							$.messager.alert('提示',result.info,'error');
							initDataTable();
							return;
						}
					},'json');
				}
			});
		}else{ 
			$.messager.alert('提示', '请选中一条需要设置为头图的记录', 'info');
		}
}
